Bug 175565 - MALLOC_PERTURB_ breaks prelink
MALLOC_PERTURB_ breaks prelink
Product: Fedora
Classification: Fedora
Component: prelink (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Depends On:
  Show dependency treegraph
Reported: 2005-12-12 16:00 EST by Dave Jones
Modified: 2015-01-04 17:23 EST (History)
1 user (show)

See Also:
Fixed In Version: 0.3.6-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-12-14 09:47:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dave Jones 2005-12-12 16:00:31 EST
With MALLOC_PERTURB_="204" , the prelink cron job segfaults.

GNU gdb Red Hat Linux (
Copyright 2004 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu"...Using host libthread_db
library "/lib64/libthread_db.so.1".

Core was generated by `/usr/sbin/prelink -av -mR -f'.
Program terminated with signal 11, Segmentation fault.
#0  0x000000000044b594 in memset ()
(gdb) bt
#0  0x000000000044b594 in memset ()
#1  0x00000000004475ea in calloc ()
#2  0x000000000041e274 in htab_find_slot_with_hash (htab=0x5ee2e0,
    element=0x7fffffa1f250, hash=443478555, insert=INSERT) at hashtab.c:271
#3  0x0000000000400a08 in prelink_find_entry (
    filename=0x667cc0 "/usr/lib/gconv/ISO8859-3.so", stp=0x7fffffa1f490,
    insert=0) at cache.c:100
#4  0x000000000040b5b7 in gather_func (
    name=0x667cc0 "/usr/lib/gconv/ISO8859-3.so", st=0x7fffffa1f490,
type=Variable "type" is not available.
    at gather.c:679
#5  0x0000000000454212 in process_entry ()
#6  0x0000000000454637 in ftw_dir ()
#7  0x00000000004543c3 in process_entry ()
#8  0x0000000000454637 in ftw_dir ()
#9  0x0000000000454d7a in ftw_startup ()
#10 0x000000000040af2e in gather_object (name=0x125ad60 "/usr/lib",
deref=Variable "deref" is not available.
    at gather.c:1005
#11 0x000000000040b420 in gather_config (config=Variable "config" is not available.
) at gather.c:1087
#12 0x000000000040d2c9 in main (argc=4, argv=0x7fffffa1fdb8) at main.c:392
#13 0x000000000043341e in __libc_start_main ()
#14 0x00000000004001b9 in _start ()
#15 0x00007fffffa1fda8 in ?? ()
#16 0x0000000000000000 in ?? ()
Comment 2 Jakub Jelinek 2005-12-14 06:16:48 EST
Actually, I think it is pretty obvious what is going on.
prelink in rawhide has been rebuilt 2005-09-01 and is statically linked.
#166719 has been fixed in glibc 2005-09-12.
Comment 3 Jakub Jelinek 2005-12-14 09:47:46 EST
Prelink has been rebuilt against fixed glibc, if the problem persists
even after upgrading to 0.3.6-2, please reopen.

Note You need to log in before you can comment on or make changes to this bug.